Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class OrderInAcknowledgementVAT
    Inherits BaseObject
    Private _OrderInAcknowledgementHeader As OrderInAcknowledgementHeader
    Private _VAT As VAT
    Private _AmountNettoHUF As Double
    Private _AmountVATHUF As Double
    Private _AmountBruttoHUF As Double
    Private _AmountNettoDEV As Double
    Private _AmountVATDEV As Double
    Private _AmountBruttoDEV As Double
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub
    <Association("OrderInAcknowledgementHeader-OrderInAcknowledgementVAT", GetType(OrderInAcknowledgementHeader))> _
    Property OrderInAcknowledgementHeader As OrderInAcknowledgementHeader
        Get
            Return _OrderInAcknowledgementHeader
        End Get
        Set(value As OrderInAcknowledgementHeader)
            SetPropertyValue("OrderInAcknowledgementHeader", _OrderInAcknowledgementHeader, value)
        End Set
    End Property
    Property VAT As VAT
        Get
            Return _VAT
        End Get
        Set(ByVal value As VAT)
            SetPropertyValue("VAT", _VAT, value)
        End Set
    End Property
    Property AmountNettoHUF As Double
        Get
            Return _AmountNettoHUF
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountNettoHUF", _AmountNettoHUF, value)
        End Set
    End Property
    Property AmountVATHUF As Double
        Get
            Return _AmountVATHUF
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATHUF", _AmountVATHUF, value)
        End Set
    End Property
    Property AmountBruttoHUF As Double
        Get
            Return _AmountBruttoHUF
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountBruttoHUF", _AmountBruttoHUF, value)
        End Set
    End Property
    Property AmountNettoDEV As Double
        Get
            Return _AmountNettoDEV
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountNettoDEV", _AmountNettoDEV, value)
        End Set
    End Property
    Property AmountVATDEV As Double
        Get
            Return _AmountVATDEV
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountVATDEV", _AmountVATDEV, value)
        End Set
    End Property
    Property AmountBruttoDEV As Double
        Get
            Return _AmountBruttoDEV
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("AmountBruttoDEV", _AmountBruttoDEV, value)
        End Set
    End Property

End Class
